
QGIS Application - Bug report #17652

Impossible to rename a layer style from the Styling Panel

2017-12-07 11:36 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Peter Petrik

Category: Symbology

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25549

Description

Double-click a layer style name from the Styling panel

Edit the name

The name is shown as changed

Switch to another layer and back to the initial layer: the style name has been reset

Style name can only be changed from the Layer Properties dialog

Associated revisions

Revision 44c4e8cc - 2019-01-31 08:39 AM - Peter Petrik

fix #17652 Impossible to rename a layer style from the Styling Panel

Revision ef97dba1 - 2019-01-31 09:36 AM - Peter Petrik

fix #17652 Impossible to rename a layer style from the Styling Panel (#9041)

fix #17652 Impossible to rename a layer style from the Styling Panel

History

#1 - 2017-12-07 11:37 AM - Harrissou Santanna

- Subject changed from Impossible to rename a layer style from the Styling PAnel to Impossible to rename a layer style from the Styling Panel

#2 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-01-21 06:05 PM - Harrissou Santanna

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.18.14 to 3.5(master)

Still applies. No way to rename a style in the Styling panel. Reverted as soon as you switch tabs.
#4 - 2019-01-29 09:40 AM - Peter Petrik

- Status changed from Open to In Progress

- Easy fix? changed from No to Yes

- Assignee set to Peter Petrik

#5 - 2019-01-29 10:38 AM - Peter Petrik

- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/9021

#6 - 2019-01-31 08:39 AM - Peter Petrik

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|44c4e8cca07176eb6665a8ae74a7448f968fde3a.
